Skip to main content
GET
/
customers
/
{customerId}
Get Customer
curl --request GET \
  --url https://testapi.fractalpay.com/api/v1/customers/{customerId} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "merchant_key": "{{merchant_key}}"
}
'
{
  "data": {
    "customer_email": "johndoe@fractalpay.com",
    "customer_id": "0c5f67e2-42c5-11ef-af4e-0ef0812e6179",
    "customer_phone": "8554147444"
  },
  "message": "Customer details",
  "result": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.fractalpay.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your Fractal API credentials.

Username = Client ID Password = Secret Key

Sandbox credentials can be generated from the Test Portal.

Path Parameters

customerId
string
required

The customer's unique ID. Returned in the customer_id field of the Create Customer (POST /customers/add) response. To retrieve a list of all customers and their IDs, use the Get Customers (GET /customers) endpoint.

Body

application/json
merchant_key
string

The merchant's unique key. Returned in the merchant_key field of the get merchants by client call.

Example:

"{{merchant_key}}"

Response

200 - application/json

Get Customer

data
object
message
string
Example:

"Customer details"

result
boolean
Example:

true